// Includes SeldonData and sets the debug level.
// Refer to SeldonData documentation for details/
#define SELDONDATA_DEBUG_LEVEL_4
#include "AtmoData.hxx"
using namespace AtmoData;

int main()
{

  TRY;

  Data<double, 3> Temperature(2, 2, 2), Pressure(2, 2, 2),
    PotentialTemperature(2, 2, 2);

  // Fills Temperature and Pressure with fictitious data.
  Temperature.Fill(280.0);
  Pressure.Fill(90000.0);

  ComputePotentialTemperature(Temperature, Pressure, PotentialTemperature);
  // One may set the reference pressure to 100000.
  ComputePotentialTemperature(Temperature, Pressure, PotentialTemperature, 100000.);

  END;

  return 0;

}
